item revision, spell revision et sword coast stratagems

Ce forum rassemble les discussions portant sur l'édition améliorée de BG2 et ToB (Beamdog), sortie en 2013.
Répondre
Avatar du membre
loupgris
 
Ettercap
Messages : 800
Enregistré le : jeu. 31 oct. 2019, 19:39
Statut : Hors ligne

item revision, spell revision et sword coast stratagems

Message par loupgris »

Bon finalement il y a moyen de jouer de façon stable avec ces trois mods.
Cela va demander des concessions.
La première peu contraignante rendra les items du jeu en vo (c'est vraiment pas gênant)
La seconde passera les sorts en vo (la encore pour les plus réfractaires google trad, sur un téléphone, traduit le texte au besoin)
Pour ce qui est des dialogues ils resteront en FR.

En partant d'une installation vide :
Bloquer le jeu sur la 2.5.16.6 (sur steam propriétés puis béta bgiiee_2.5 )
appliquer le mod de traduction pour la 2.5
prendre item rev v4b10, le mettre dans la racine sans le lancer, l'écraser avec son hotfix (le dossier + l'exe)
Lancer que le premier composant puis quitter.
Prendre -spell rev v4beta18, le mettre dans la racine sans le lancer, l'écraser avec son hotfix (dossier et exe)
L'installer complètement
Finir l'installation d'item rev (les autres composants)
Installer ensuite SCS 33.7 en fr
(attention mieux vaut éviter le composant pour la métamorphose apparemment)
Pour la faire courte j'ai pris les scripts d'IA, l'option qui permet de recruter les npc au level 1, et tout se qui boost l'IA du jeu combat et créatures ainsi que les appels à l'aide, visiblement les sorts iwd fonctionneraient (pas vérif).
J'ai évité tout ce qui touche au matériel en plus sur SCS magasins/parchemin.

Je reviens sur le composant permettant de mettre les npc au level 1, j'ai noté qques bug mineurs (imoen avec des sorts d'entropologie, yoshimo en le jumelant guerrier perd l'utilisation de son katana, donc en gros faite une save avant)
Encore un détail il semblerait qu'il faille mieux éviter le shaman avec IR SR et SCS (pas vérif).
Avatar du membre
loupgris
 
Ettercap
Messages : 800
Enregistré le : jeu. 31 oct. 2019, 19:39
Statut : Hors ligne

Message par loupgris »

J'ai pas pris les challenges SCS dans un premier temps.

// Log of Currently Installed WeiDU Mods
// The top of the file is the 'oldest' mod
// ~TP2_File~ #language_number #component_number // [Subcomponent Name -> ] Component Name [ : Version]
~BG2EETRANS/BG2EETRANS.TP2~ #0 #0 // Initialisation: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1001 // Textes repris de BGII-ToB: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1002 // Textes repris de BGEE: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1003 // Ajout de la langue au menu + credits (BG2EE V2.0 et plus): v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1004 // Textes de BG2EE traduits et controles: v0.7.16.6
~ITEM_REV/ITEM_REV.TP2~ #0 #0 // Item Revisions by Demivrgvs: V4 Beta 10 (Revised V1.3.400)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #0 // Spell Revisions: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #10 // Deva and Planetar Animations: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #20 // Mirror Image Fix: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #30 // Dispel Magic Fix: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #55 // Spell Deflection blocks AoE spells: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #60 // Update Spellbooks of Joinable NPCs: v4 Beta 18 (Revised V1.3.216)
~SPELL_REV/SETUP-SPELL_REV.TP2~ #0 #65 // Revised Warrior HLAs: v4 Beta 18 (Revised V1.3.216)
~ITEM_REV/ITEM_REV.TP2~ #0 #1030 // Store Revisions: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1042 // Revised Armor -> Without Movement Speed Penalties: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #2 // Allow Spellcasting in Armor -> With a Chance of Arcane Casting Failure: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #9 // Allow Thieving Skills in Armor -> Stealth is Penalized by Armor: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #10 // Revised Shield Bonuses: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #17 // Weapon Changes: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1080 // Enchantment Doesn't Affect Speed Factor of Weapons: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #11 // Dual Wielding Changes for Light and Heavy Weapons: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #19 // Revised Backstabbing -> More Weapons Usable for Backstabbing: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1200 // Revised Critical Hit Aversion: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #12 // Items of Protection Can Be Worn with Magical Armor: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1091 // Remove Weapon Restrictions from Multi-classed Divine Spellcasters -> Clerics and Druids: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #16 // PnP Equipment for Druids -> Druids and Fighter/Druids: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1060 // Kensai Can Wear Bracers: V4 Beta 10 (Revised V1.3.400)
~ITEM_REV/ITEM_REV.TP2~ #0 #1070 // Thieves Can Use Wands: V4 Beta 10 (Revised V1.3.400)
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #3540 // Reduire la puissance de la dissipation de la magie des inquisiteurs -> Dissipation des inquisiteurs a 1,5 x leur niveau (et non deux fois): 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #4000 // Ours plus rapides: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #4100 // Amelioration de la personnalisation et de la gestion des PNJ: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #5000 // IA du groupe plus simple: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #5900 // Initialise les composants de l'IA (requis pour les composants tactiques et d'IA): 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6000 // IA generale plus efficace: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6010 // Meilleurs appels a l'aide: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6030 // Mages plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6040 // Pretres plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6200 // Araignees ameliorees: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6500 // Golems ameliores: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6510 // Demons et celestes ameliores: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6520 // Genies plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6540 // Dragons plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6550 // Spectateurs plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6560 // Flagelleurs mentaux plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6570 // Githyankis plus intelligents: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6580 // Vampires ameliores: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #6590 // Boss de fin de ToB plus intelligent: 33.7
~STRATAGEMS/SETUP-STRATAGEMS.TP2~ #3 #8050 // Rencontres aleatoires ameliorees: 33.7
Selphira
Adepte de Grondemarteau
Goule
Messages : 493
Enregistré le : dim. 25 juil. 2004, 21:28
Contact :
Statut : Hors ligne

Message par Selphira »

Hello, attention que la version 33.7 de Strategems possède un bug assez gênant avec les mages, qui peuvent se mettre à ne plus rien faire durant un combat. Pour corriger cela, copie simplement ce fichier dans le dossier "mage/ssl/meleeblocks" du mod, et réinstalle le.
Avatar du membre
loupgris
 
Ettercap
Messages : 800
Enregistré le : jeu. 31 oct. 2019, 19:39
Statut : Hors ligne

Message par loupgris »

Selphira a écrit :Hello, attention que la version 33.7 de Strategems possède un bug assez gênant avec les mages, qui peuvent se mettre à ne plus rien faire durant un combat. Pour corriger cela, copie simplement ce fichier dans le dossier "mage/ssl/meleeblocks" du mod, et réinstalle le.
Bonjour et merci du retour.
Cela concerne BG2EE ?
Je demande car pour l'instant j'ai pas eu ce désagrément (en même temps j'ai du en affronter genre que 5).
Selphira
Adepte de Grondemarteau
Goule
Messages : 493
Enregistré le : dim. 25 juil. 2004, 21:28
Contact :
Statut : Hors ligne

Message par Selphira »

BG2EE pas certaine, mais BGEE oui.
Avatar du membre
loupgris
 
Ettercap
Messages : 800
Enregistré le : jeu. 31 oct. 2019, 19:39
Statut : Hors ligne

Message par loupgris »

Selphira a écrit :BG2EE pas certaine, mais BGEE oui.

Bonjour selphira,
je suis sur BG1EE avec NPCproject, item rev, spell rev et SCS 33.7 et à priori je n'ai pas rencontré de problème particulier avec les mages.
Je suis arrivé à la fin des mines de bois manteau pourtant.
Je précise que je n'ai pas installé les sorts d'iwd au cas où (en gros j'ai installé à quelque chose près les éléments de mon WeiDU de BG2EE pour SCS).

(si encore une chose, je suis parti sans ta manipulation de fichier, car je ne savais pas trop comment la faire)
Avatar du membre
Lifthrasir
 
Goule
Messages : 466
Enregistré le : ven. 21 mai 2010, 16:10
Localisation : Dunkerque, dans la bande du carnaval
Statut : Hors ligne

Message par Lifthrasir »

D'après les explications fournies dans les liens suivants (merci loupgris :thank_you: )...
loupgris a écrit :moi je parle des hotfix de spell rev et de item rev.
pour item rev : Revised V1.3.400 https://www.gibberlings3.net/forums/top ... arch-17th/
pour spell rev : Revised V1.3.216 https://www.gibberlings3.net/forums/top ... gust-22nd/

J'utilise pour SCS la 33.7 ou visiblement il y aurait un problème pour bg1ee que je n'ai pas sur bg2ee à priori.
Pour la manip de Selphira la démarche n'est visiblement pas la même, je n'ai pas essayé.
... Il faut apparemment extraire le contenu des dernières versions de IR et SR, le contenu des hotfix et fusionner les contenus de chacun des 2 mods avec le contenu de leur hotfix respectif pour la compatibilité avec SCS33.7.

Edit: Attention : dans le descriptif du hotfix pour Item Revision, il y a apparemment une erreur. Il y est dit qu'il faut appliquer le patch sur la version V4b18 d'Item Revision. Or, et sauf erreur de ma part, la dernière version est v4b10 (ici)
Répondre

Retourner vers « BG2:EE »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 0 invité